import jagdx.IDirect3DCubeTexture;
import jagdx.IDirect3DDevice;
import java.nio.ByteBuffer;

public class Class329_Sub3 extends Class329 implements Interface37 {

   int anInt8994;


   public void method228() {
      this.aClass545_Sub2_Sub1_4080.method15851(this);
   }

   public void method226() {
      this.aClass545_Sub2_Sub1_4080.method15851(this);
   }

   public void method10() {
      super.method10();
   }

   public void method224(Class353 var1) {
      super.method224(var1);
   }

   Class329_Sub3(Class545_Sub2_Sub1 var1, int var2, boolean var3, int[][] var4) {
      super(var1, Class98.aClass98_992, Class91.aClass91_897, var3 && var1.aBool10313, var2 * var2 * 6);
      this.anInt8994 = var2;
      if(this.aBool4081) {
         this.aLong4078 = IDirect3DDevice.CreateCubeTexture(this.aClass545_Sub2_Sub1_4080.aLong10294, this.anInt8994, 0, 1024, 21, 1);
      } else {
         this.aLong4078 = IDirect3DDevice.CreateCubeTexture(this.aClass545_Sub2_Sub1_4080.aLong10294, this.anInt8994, 1, 0, 21, 1);
      }

      ByteBuffer var5 = this.aClass545_Sub2_Sub1_4080.aByteBuffer9763;

      for(int var6 = 0; var6 < 6; ++var6) {
         var5.clear();
         var5.asIntBuffer().put(var4[var6]);
         IDirect3DCubeTexture.Upload(this.aLong4078, var6, 0, 0, 0, this.anInt8994, this.anInt8994, this.anInt8994 * 4, 0, this.aClass545_Sub2_Sub1_4080.aLong9730);
      }

   }

   public void method9() {
      super.method10();
   }

   public void method227() {
      this.aClass545_Sub2_Sub1_4080.method15851(this);
   }

   public void method8() {
      super.method10();
   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }
}
